FAQ
Hi

It gives me great pleasure to announce the first development release
of the next major version of Catalyst.

This is a development release, and we need people to start trying to
use it _NOW_, and to tell us about the issues you find with your real
world applications. Otherwise we're going to be unable to fix those
issues before a final release.

There are still some known problems with the current release, and the
upgrading documentation is at this stage anything but complete.
However, we have been working hard to keep this release as compatible
as possible with previous versions, and the documentation for
upgrading will greatly improve before the final version..

Known issues:
* -l argument to myapp_fastcgi.pl script is broken (this is already
fixed in subversion)
* lighttpd versions below 1.4.23 are known to be broken (this should
be able to be worked around using
Plack::Middleware::LighttpdScriptNameFix - we would love some people
using earlier versions of lighttpd to help test this)
* IIS6 is believed to be broken (fix will be forthcoming - please
shout up if you will be able to test this for us).
* Alternate engines such as Stomp and Wx are broken (we will be
working with the authors to fix these before a final release version)
* Two of the tests in the distribution are broken if you install
onto a clean system

Other than this list of known issues, everything should continue
working as it did beforehand for all users (including current users of
Catalyst::Engine::PSGI). You shouldn't have to do _anything_ to
upgrade to the new release, other than ensure your application scripts
(as generated by catalyst.pl) to use the Catalyst::Script:: classes.

Please test the release out and let us know how you get on.

The release can be found at:
http://search.cpan.org/~flora/Catalyst-Runtime-5.89000-TRIAL/

or if you are deploying with fastcgi, you can grab the bugfixed
version from subversion at:
http://dev.catalyst.perl.org/repos/Catalyst/Catalyst-Runtime/5.80/branches/psgi/

Please report your successes (and/or failures) to the list, or come
grab me on irc. We'll be trying to get a new dev release out every
couple of weeks now until people stop finding issues..

Thanks in advance
t0m

Search Discussions

  • Andrew Rodland at Jan 25, 2011 at 12:35 am

    On Monday, January 24, 2011 05:12:58 PM Tomas Doran wrote:
    Hi

    It gives me great pleasure to announce the first development release
    of the next major version of Catalyst.

    This is a development release, and we need people to start trying to
    use it _NOW_, and to tell us about the issues you find with your real
    world applications. Otherwise we're going to be unable to fix those
    issues before a final release.

    There are still some known problems with the current release, and the
    upgrading documentation is at this stage anything but complete.
    However, we have been working hard to keep this release as compatible
    as possible with previous versions, and the documentation for
    upgrading will greatly improve before the final version..

    Known issues:
    * -l argument to myapp_fastcgi.pl script is broken (this is already
    fixed in subversion)
    Actually *all* arguments to the _fastcgi script are broken in 5.89000-TRIAL
    (incl. -l/--listen, -n/--nproc, -d/--detach, -e/--keeperr, and -M/--manager).
    If you need to launch with the _fastcgi script, you will need to wait for the
    next trial release, or build from svn (Catalyst-Runtime/5.80/branches/psgi) or
    at least get Catalyst::Script::FastCGI from there.

    You can still test with _server.pl though, or with your own choice of Plack
    server and .psgi file, or test apps with Catalyst::Test and TWMC.

    If you maintain any modules that interface with Catalyst, give them a quick
    check to make sure that they don't assume the existence of
    Catalyst::Engine::CGI -- if they do, they will break with the removal of
    Catalyst::Engine::* !

    Thanks,

    Andrew
  • Pedro Melo at Jan 25, 2011 at 9:53 am
    Hi,
    On Mon, Jan 24, 2011 at 11:12 PM, Tomas Doran wrote:
    Please test the release out and let us know how you get on.

    The release can be found at:
    http://search.cpan.org/~flora/Catalyst-Runtime-5.89000-TRIAL/

    or if you are deploying with fastcgi, you can grab the bugfixed version from
    subversion at:
    http://dev.catalyst.perl.org/repos/Catalyst/Catalyst-Runtime/5.80/branches/psgi/
    The easiest way for me to test trial releases is to add a git
    submodule to my apps. Is there a git repo that mirrors the official
    SVN that we can clone?

    I looked at http://git.shadowcat.co.uk/gitweb/gitweb.cgi but I could
    only find Catalyst-Devel.

    Thanks in advance,
    --
    Pedro Melo
    http://www.simplicidade.org/
    xmpp:melo@simplicidade.org
    mailto:melo@simplicidade.org

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedJan 24, '11 at 11:12p
activeJan 25, '11 at 9:53a
posts3
users3
websitecatalystframework.org
irc#catalyst

People

Translate

site design / logo © 2022 Grokbase